Bug 1305607 - CDH 5.3 unsupported in RHOS 8 (also in sahara-image-elements)
CDH 5.3 unsupported in RHOS 8 (also in sahara-image-elements)
Product: Red Hat OpenStack
Classification: Red Hat
Component: sahara-image-elements (Show other bugs)
8.0 (Liberty)
All Linux
low Severity low
: ---
: 8.0 (Liberty)
Assigned To: Elise Gafford
Luigi Toscano
: ZStream
Depends On:
  Show dependency treegraph
Reported: 2016-02-08 12:13 EST by Luigi Toscano
Modified: 2016-06-29 09:48 EDT (History)
7 users (show)

See Also:
Fixed In Version: sahara-image-elements-3.0.0-5.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1299982
Last Closed: 2016-06-29 09:48:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luigi Toscano 2016-02-08 12:13:53 EST
+++ This bug was initially created as a clone of Bug #1299982 +++

Description of problem:

We are dropping CDH 5.3 support in RHOS 8, and thus must remove this plugin version from the default-enabled options.


Some changes are needed for sahara-image-elements as well.
Comment 1 Elise Gafford 2016-06-10 16:13:26 EDT
tosky: Are we comfortable only removing the 5.3 option from the image build script? Because plugins cannot be disabled at specific versions, we'll run into unit test failures in some tests which target (unversioned) CDH core features if we rip out the entire v5_3_0 directory in the openstack-sahara package.
Comment 2 Luigi Toscano 2016-06-13 03:52:27 EDT
This specific bug is only about hiding or blocking 5.3 from the available options in the sahara-image-create (link to diskimage-create.sh) script.
Comment 4 Luigi Toscano 2016-06-17 13:17:12 EDT
The sahara-image-create script does not show 5.3 as an option for "cloudera" images anymore.

Verified on:
Comment 6 errata-xmlrpc 2016-06-29 09:48:26 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.